com.aliyun.svideosdk.common.struct.project

## Enum Effect.Type

- java.lang.Object
- - java.lang.Enum<Effect.Type>
  - - com.aliyun.svideosdk.common.struct.project.Effect.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Effect.Type>
  Enclosing class:
    Effect

      public static enum Effect.Type
      extends java.lang.Enum<Effect.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `audio_effect` Voice changing effects
    `audio_fade` audio Fade in and fade out effects
    `blur_background` blur background effect
    `running_display_mode` video display mode effect
    `transition` transition effect

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Effect.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Effect.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### blur_background

          public static final Effect.Type blur_background

      blur background effect

    - #### running_display_mode

          public static final Effect.Type running_display_mode

      video display mode effect

    - #### transition

          public static final Effect.Type transition

      transition effect

    - #### audio_effect

          public static final Effect.Type audio_effect

      Voice changing effects

    - #### audio_fade

          public static final Effect.Type audio_fade

      audio Fade in and fade out effects

  - ### Method Detail

    - #### values

          public static Effect.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Effect.Type c : Effect.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Effect.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null